/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Arduinosensor;
import com.tabajara.base.tables.records.ArduinosensorRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ArduinosensorDao extends AbstractVertxDAO<ArduinosensorRecord, com.tabajara.base.tables.pojos.Arduinosensor, Integer, Future<List<com.tabajara.base.tables.pojos.Arduinosensor>>, Future<com.tabajara.base.tables.pojos.Arduinosensor>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<ArduinosensorRecord,com.tabajara.base.tables.pojos.Arduinosensor,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public ArduinosensorDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Arduinosensor.ARDUINOSENSOR, com.tabajara.base.tables.pojos.Arduinosensor.class, new JDBCClassicQueryExecutor<ArduinosensorRecord,com.tabajara.base.tables.pojos.Arduinosensor,Integer>(com.tabajara.base.tables.pojos.Arduinosensor.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Arduinosensor object) {
        return object.getArdsenid();
    }

    /**
     * Find records that have <code>fkardid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduinosensor>> findManyByFkardid(List<Integer> values) {
        return findManyByCondition(Arduinosensor.ARDUINOSENSOR.FKARDID.in(values));
    }

    /**
     * Find records that have <code>fksenid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduinosensor>> findManyByFksenid(List<Integer> values) {
        return findManyByCondition(Arduinosensor.ARDUINOSENSOR.FKSENID.in(values));
    }
}
